-- Event only works client --> server

BaleCollectorEvent = {};
BaleCollectorEvent_mt = Class(BaleCollectorEvent, Event);
InitEventClass(BaleCollectorEvent, "BaleCollectorEvent");

function BaleCollectorEvent:emptyNew()
    local self = Event:new(BaleCollectorEvent_mt);
    self.className = "BaleCollectorEvent";
    return self;
end;

function BaleCollectorEvent:new(vehicle, isCollecting)
    local self = BaleCollectorEvent:emptyNew();
	self.vehicle = vehicle;
	self.isCollecting = isCollecting;
    return self;
end;

function BaleCollectorEvent:writeStream(streamId, connection)
	NetworkUtil.writeNodeObject(streamId, self.vehicle);
	streamWriteBool(streamId, self.isCollecting);
end;

function BaleCollectorEvent:readStream(streamId, connection)
	self.vehicle = NetworkUtil.readNodeObject(streamId);
	self.isCollecting = streamReadBool(streamId);
	
	if self.isCollecting then
		self.vehicle:collectBales();
	else
		self.vehicle:releaseBales();
	end;
end;